### Usage

```js static

export default {
	...
	components: { InputEmail }
	...
};
```

### Example
```js
new Vue({
  data(){
    return {
      email: ''
    }
  },
  methods: {
    onValidation(validation) {
      console.warn('validation', validation)
    }
  },
  template: `
    <InputEmail
      id="email-field"
      name="email-field"
      label="Exemplo de input email"
      v-model="email"
      @validation="onValidation"
    />
  `
})
```